Intel® Distribution of OpenVINO™ Toolkit
Community support and discussions about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all things computer vision-related on Intel® platforms.
5932 Discussions

ModuleNotFoundError: No module named 'libs.open_model_zoo' when I tried to "pot -h"

Summer
Beginner
1,753 Views

Currently the pot 1.0 (post training optimization) has been installed already. And I can see pot 1.0 in the result list of command "pip list". But when I tried to test "pot -h", I got an error message(ModuleNotFoundError: No module named 'libs.open_model_zoo' ). And then I checked the list with "pip list", there is not "libs" in it. when the libs package should be installed , and how to install it? BTW, i ran model optimizer and inference engine in my laptop successfully.

Any help would be greatly appreciated.

here is the variable value of system variable "PYTHONPATH":

 

%INTEL_OPENVINO_DIR%\python\python3.7;

%INTEL_OPENVINO_DIR%\deployment_tools\model_optimizer;

%INTEL_OPENVINO_DIR%\deployment_tools\open_model_zoo;

 

Here is the variable value of system variable "OPENVINOPATH":

 

%INTEL_OPENVINO_DIR%\deployment_tools\inference_engine\bin\intel64\Release;

%INTEL_OPENVINO_DIR%\deployment_tools\inference_engine\bin\intel64\Debug;

%HDDL_INSTALL_DIR%\bin;

%INTEL_OPENVINO_DIR%\opencv\bin;

%INTEL_OPENVINO_DIR%\openvx\bin;

%INTEL_OPENVINO_DIR%\deployment_tools\ngraph\lib;

%INTEL_OPENVINO_DIR%\deployment_tools\inference_engine\external\tbb\bin;

 

and the %OPENVINO_PATH% is added in the PATH variable.

Here is the error message I got:

 

 

(3D-Medical-Segmentation-GAN) PS C:\WINDOWS\system32> pot -h
Traceback (most recent call last):
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\utils\ac_imports.py", line 15, in <module>
from libs.open_model_zoo.tools.accuracy_checker.\
ModuleNotFoundError: No module named 'libs.open_model_zoo'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\Scripts\pot-script.py", line 30, in <module>
sys.exit(load_entry_point('pot==1.0', 'console_scripts', 'pot')())
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\Scripts\pot-script.py", line 22, in importlib_load_entry_point
return next(matches).load()
File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\importlib_metadata\__init__.py", line 178, in load
module = import_module(match.group('module'))
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\importlib\__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\app\run.py", line 20, in <module>
from compression.configs.config import Config
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\__init__.py", line 13, in <module>
from .algorithms.quantization.accuracy_aware.algorithm import AccuracyAwareQuantization
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\algorithms\quantization\accuracy_aware\algorithm.py", line 20, in <module>
from .utils import create_metric_config, is_preset_performance, \
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\algorithms\quantization\accuracy_aware\utils.py", line 20, in <module>
from ....algorithms.quantization import utils as eu
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\algorithms\quantization\utils.py", line 19, in <module>
from ...engines.ac_engine import ACEngine
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\engines\ac_engine.py", line 22, in <module>
from ..data_loaders.ac_data_loader import ACDataLoader
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\data_loaders\ac_data_loader.py", line 16, in <module>
from ..utils.ac_imports import Dataset, DatasetWrapper
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\pot-1.0-py3.7.egg\compression\utils\ac_imports.py", line 24, in <module>
from accuracy_checker.evaluators.quantization_model_evaluator import create_model_evaluator
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\accuracy_checker-0.8.7-py3.7.egg\accuracy_checker\evaluators\__init__.py", line 17, in <module>
from .model_evaluator import ModelEvaluator
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\accuracy_checker-0.8.7-py3.7.egg\accuracy_checker\evaluators\model_evaluator.py", line 21, in <module>
from ..utils import get_path, extract_image_representations, is_path
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\accuracy_checker-0.8.7-py3.7.egg\accuracy_checker\utils.py", line 41, in <module>
from shapely.geometry.polygon import Polygon
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\shapely\geometry\__init__.py", line 4, in <module>
from .base import CAP_STYLE, JOIN_STYLE
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\shapely\geometry\base.py", line 19, in <module>
from shapely.coords import CoordinateSequence
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\shapely\coords.py", line 8, in <module>
from shapely.geos import lgeos
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\site-packages\shapely\geos.py", line 154, in <module>
_lgeos = CDLL(os.path.join(sys.prefix, 'Library', 'bin', 'geos_c.dll'))
File "C:\Users\310091560\Miniconda3\envs\3D-Medical-Segmentation-GAN\lib\ctypes\__init__.py", line 364, in __init__
self._handle = _dlopen(self._name, mode)
OSError: [WinError 126] The specified module could not be found

 

 

 

0 Kudos
7 Replies
Syamimi_Intel
Moderator
1,694 Views

Hi Dan Zhao,

Thank you for reaching out. I need to understand more regarding your issue. How did you download your OpenVINO? Are you using open source OpenVINO?

 

If you are using open source OpenVINO, ensure that you have completed all steps in Build the OpenVINO™ Inference Engine. Then, you can install the POT by referring to Installation POT from PyPI. I have validated this on my side and it works fine.

 

 

Regards,

Syamimi

 

Summer
Beginner
1,652 Views

Thanks Syamimi,

        I am not using source code, I installed the OpenVINO toolkit from w_openvino_toolkit_p_2021.4.582.exe. Here is the download minute screenshot:

Summer_0-1628125940493.png

 

And  I can run model optimizer and inference engine in my laptop successfully. Does it mean the model optimizer and inference engine do not depend on the "libs.open_model_zoo"?

thanks a lot

Miles345
Beginner
1,678 Views

I have a very similar problem with both accuracy_checker -h and pot -h. I followed the instructions from https://docs.openvinotoolkit.org/2021.4/pot_InstallationGuide.html#installation_pot_from_pypi

 

Syamimi_Intel
Moderator
1,633 Views

Hi Dan Zhao,

Model Optimizer is a cross-platform command-line tool that facilitates the transition between the training and deployment environment, performs static model analysis, and adjusts deep learning models for optimal execution on end-point target devices.

Model Optimizer process assumes you have a network model trained using supported deep learning frameworks: Caffe*, TensorFlow*, Kaldi*, MXNet* or converted to the ONNX* format. Model Optimizer produces an Intermediate Representation (IR) of the network, which can be inferred with the Inference Engine.

 

Inference Engine is a set of C++ libraries providing a common API to deliver inference solutions on the platform of your choice: CPU, GPU, or VPU. The Inference Engine API is used to read the Intermediate Representation, set the input and output formats, and execute the model on devices. While the C++ libraries are the primary implementation, C libraries and Python bindings are also available.

 

Open Model Zoo is one of the OpenVINO product components and is available in your OpenVINO installation. By itself, Open Model Zoo is a collection of pre-trained models, both developed at Intel and some publicly available third-party models. It also contains a set of demo applications and tools to download models.

 

Thus, the model optimizer and inference engine are not depending on the libs.open_model_zoo.

 

Seems like something is wrong with your installation.

Perhaps, you may reinstall the OpenVINO 2021.4. Then, you may try to run the demo_squeezenet_download_convert-run.bat file to verify the installation by following the instruction from the documentation.

 

Then, you may try to re-install and set up POT from Intel® Distribution of OpenVINO™ toolkit package by referring to the following link:

https://docs.openvinotoolkit.org/2021.4/pot_InstallationGuide.html#install_and_set_up_pot_from_intel...

 

 

Hi Miles345,

Thank you for sharing your answer with us.

 

 

Regards,

Syamimi

 


Summer
Beginner
1,603 Views

Thanks Syamimi for your detailed reply.

Currently the version on my laptop is 2021.4.582, I didn't reinstall the OpenVINO, but try to run the demo_squeezenet_download_convert-run.bat file which you mentioned in your reply. The downloading part is failed as some network issue, so I downloaded the prototxt file from https://raw.githubusercontent.com/forresti/SqueezeNet/a47b6f13d30985279789d08053d37013d67d131b/Squee... and rename it to squeezenet1.1.prototxt, downloaded the caffe model from https://github.com/forresti/SqueezeNet/raw/a47b6f13d30985279789d08053d37013d67d131b/SqueezeNet_v1.1/... and rename it to squeezenet1.1.caffemodel. and then run the demo_squeezenet_download_convert-run.bat again

Here is the result:

 

 

(3D-Medical-Segmentation-GAN) PS C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo> .\demo_squeezenet_download_convert_run.bat
target_precision = FP16
Python 3.7.7
[setupvars.bat] OpenVINO environment initialized
INTEL_OPENVINO_DIR is set to C:\Program Files (x86)\Intel\openvino_2021
Python 3.7.7
ECHO is off.
Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple
Requirement already satisfied: pyyaml>=5.4.1 in c:\users\310091560\appdata\roaming\python\python37\site-packages (from -r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 1)) (5.4.1)
Requirement already satisfied: requests>=2.25.1 in c:\users\310091560\appdata\roaming\python\python37\site-packages (from -r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.25.1)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in c:\users\310091560\appdata\roaming\python\python37\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (1.26.6)
Requirement already satisfied: chardet<5,>=3.0.2 in c:\users\310091560\appdata\roaming\python\python37\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (4.0.0)
Requirement already satisfied: certifi>=2017.4.17 in c:\users\310091560\appdata\roaming\python\python37\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2021.5.30)
Requirement already satisfied: idna<3,>=2.5 in c:\users\310091560\appdata\roaming\python\python37\site-packages (from requests>=2.25.1->-r C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.10)
Download public squeezenet1.1 model
python "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\open_model_zoo\tools\downloader\downloader.py" --name "squeezenet1.1" --output_dir "C:\Users\310091560\Documents\Intel\OpenVINO\openvino_models\models" --cache_dir "C:\Users\310091560\Documents\Intel\OpenVINO\openvino_models\cache"
################|| Downloading squeezenet1.1 ||################

========== Downloading C:\Users\310091560\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1\squeezenet1.1.prototxt
Traceback (most recent call last):
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\connection.py", line 170, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\util\connection.py", line 96, in create_connection
    raise err
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\util\connection.py", line 86, in create_connection
    sock.connect(sa)
TimeoutError: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 706, in urlopen
    chunked=chunked,
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 382, in _make_request
    self._validate_conn(conn)
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 1010, in _validate_conn
    conn.connect()
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\connection.py", line 353, in connect
    conn = self._new_conn()
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\connection.py", line 182, in _new_conn
    self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x000001D2DCE3C988>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\requests\adapters.py", line 449, in send
    timeout=timeout
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\connectionpool.py", line 756, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\urllib3\util\retry.py", line 574, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='raw.githubusercontent.com', port=443): Max retries exceeded with url: /forresti/SqueezeNet/a47b6f13d30985279789d08053d37013d67d131b/SqueezeNet_v1.1/deploy.prototxt (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x000001D2DCE3C988>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\open_model_zoo\tools\downloader\src\open_model_zoo\model_tools\downloader.py", line 83, in try_download
    chunk_iterable, continue_offset = start_download(offset=progress.size)
  File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\open_model_zoo\tools\downloader\src\open_model_zoo\model_tools\_configuration.py", line 132, in start_download
    headers=self.http_range_headers(offset))
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 555, in get
    return self.request('GET', url, **kwargs)
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "C:\Users\310091560\AppData\Roaming\Python\Python37\site-packages\requests\adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='raw.githubusercontent.com', port=443): Max retries exceeded with url: /forresti/SqueezeNet/a47b6f13d30985279789d08053d37013d67d131b/SqueezeNet_v1.1/deploy.prototxt (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x000001D2DCE3C988>: Failed to establish a new connection: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond'))
########## Error: Download failed

FAILED:
squeezenet1.1
squeezenet1.1 model downloading completed

Waiting for 0 seconds, press a key to continue ...

Target folder C:\Users\310091560\Documents\Intel\OpenVINO\openvino_models\ir\public\squeezenet1.1\FP16 already exists. Skipping IR generation with Model Optimizer.
If you want to convert a model again, remove the entire C:\Users\310091560\Documents\Intel\OpenVINO\openvino_models\ir\public\squeezenet1.1\FP16 folder.

Waiting for 0 seconds, press a key to continue ...

###############|| Generate VS solution for Inference Engine samples using cmake ||###############


Waiting for 0 seconds, press a key to continue ...
Creating Visual Studio 16 2019 x64 files in C:\Users\310091560\Documents\Intel\OpenVINO\inference_engine_samples_build...
-- Selecting Windows SDK version 10.0.18362.0 to target Windows 10.0.18363.
-- The C compiler identification is MSVC 19.24.28314.0
-- The CXX compiler identification is MSVC 19.24.28314.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: C:/VS2019/VC/Tools/MSVC/14.24.28314/bin/Hostx64/x64/cl.exe - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: C:/VS2019/VC/Tools/MSVC/14.24.28314/bin/Hostx64/x64/cl.exe - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Warning (dev) at thirdparty/cnpy/CMakeLists.txt:11 (if):
  Policy CMP0054 is not set: Only interpret if() arguments as variables or
  keywords when unquoted.  Run "cmake --help-policy CMP0054" for policy
  details.  Use the cmake_policy command to set the policy and suppress this
  warning.

  Quoted variables like "MSVC" will no longer be dereferenced when the policy
  is set to NEW.  Since the policy is not set the OLD behavior will be used.
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring done
-- Generating done
-- Build files have been written to: C:/Users/310091560/Documents/Intel/OpenVINO/inference_engine_samples_build

Waiting for 0 seconds, press a key to continue ...

###############|| Build Inference Engine samples using MS Visual Studio (MSBuild.exe) ||###############


Waiting for 0 seconds, press a key to continue ...
"C:\VS2019\MSBuild\Current\Bin\MSBuild.exe" Samples.sln /p:Configuration=Release /t:cpp_samples\classification_sample_async /clp:ErrorsOnly /m
Microsoft (R) Build Engine version 16.4.0+e901037fe for .NET Framework
Copyright (C) Microsoft Corporation. All rights reserved.


Waiting for 0 seconds, press a key to continue ...

###############|| Run Inference Engine classification sample ||###############


Waiting for 0 seconds, press a key to continue ...
        1 file(s) copied.
classification_sample_async.exe -i "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\car.png" -m "C:\Users\310091560\Documents\Intel\OpenVINO\openvino_models\ir\public\squeezenet1.1\FP16\squeezenet1.1.xml" -d CPU
[ INFO ] InferenceEngine:
        IE version ......... 2021.4.0
        Build ........... 2021.4.0-3839-cd81789d294-releases/2021/4
[ INFO ] Parsing input parameters
[ INFO ] Files were added: 1
[ INFO ]     C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\car.png
[ INFO ] Loading Inference Engine
[ INFO ] Device info:
        CPU
        MKLDNNPlugin version ......... 2021.4.0
        Build ........... 2021.4.0-3839-cd81789d294-releases/2021/4

[ INFO ] Loading network files:
[ INFO ] C:\Users\310091560\Documents\Intel\OpenVINO\openvino_models\ir\public\squeezenet1.1\FP16\squeezenet1.1.xml
[ INFO ] Preparing input blobs
[ WARNING ] Image is resized from (787, 259) to (227, 227)
[ INFO ] Batch size is 1
[ INFO ] Loading model to the device
[ INFO ] Create infer request
[ INFO ] Start inference (10 asynchronous executions)
[ INFO ] Completed 1 async request execution
[ INFO ] Completed 2 async request execution
[ INFO ] Completed 3 async request execution
[ INFO ] Completed 4 async request execution
[ INFO ] Completed 5 async request execution
[ INFO ] Completed 6 async request execution
[ INFO ] Completed 7 async request execution
[ INFO ] Completed 8 async request execution
[ INFO ] Completed 9 async request execution
[ INFO ] Completed 10 async request execution
[ INFO ] Processing output blobs

Top 10 results:

Image C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\demo\car.png

classid probability label
------- ----------- -----
817     0.6853030   sports car, sport car
479     0.1835197   car wheel
511     0.0917197   convertible
436     0.0200694   beach wagon, station wagon, wagon, estate car, beach waggon, station waggon, waggon
751     0.0069604   racer, race car, racing car
656     0.0044177   minivan
717     0.0024739   pickup, pickup truck
581     0.0017788   grille, radiator grille
468     0.0013083   cab, hack, taxi, taxicab
661     0.0007443   Model T

[ INFO ] Execution successful

[ INFO ] This sample is an API example, for any performance measurements please use the dedicated benchmark_app tool

###############|| Classification demo completed successfully ||###############

 

so does it mean my environment is unbroken? thanks a lot. I am afraid I cannot even run inference or model optimizer if I reinstall it . thanks a lot. Looking forward to your help.

Syamimi_Intel
Moderator
1,586 Views

Hi Dan Zhao,

If you can run the SqueezeNet model, should be there is no issue with your installation. Did you try to re-install and set up POT?

You can try to re-install the POT by referring to the following steps:

 

Set up the POT

1.Go to <INSTALL_DIR>/deployment_tools/tools/post_training_optimization_toolkit.


2.Run the setup.py script:

python3 setup.py install


3.In order to enable advanced algorithms such as the Tree-Structured Parzen Estimator (TPE) based optimization, add the following flag to the installation command:

python3 setup.py install --install-extras

 

Now the POT is available in the command line by the pot alias. To verify it, run pot -h.

 

 

I have validated the installation steps and it works fine. If you are following all the installation steps in Install Intel® Distribution of OpenVINO™ toolkit for Windows* 10 and follow the POT installation guide, you should be able to run the pot -h.

 

Don’t worry, if you can run the demo, I believe there will be no issue with the Inference Engine or Model Optimizer.

 

 

Regards,

Syamimi


Syamimi_Intel
Moderator
1,505 Views

Hi Dan Zhao,

This thread will no longer be monitored since we have provided a solution. If you need any additional information from Intel, please submit a new question.



Regards,

Syamimi


Reply